Debian Bug report logs - #651475
isdnutils: Please support Multi-Arch

version graph

Package: isdnutils; Maintainer for isdnutils is Rolf Leggewie <foss@rolf.leggewie.biz>;

Reported by: Kees Cook <kees@debian.org>

Date: Thu, 8 Dec 2011 22:09:02 UTC

Severity: normal

Tags: patch

Found in version 1:3.9.20060704+dfsg.2-12

Fixed in version isdnutils/1:3.22+dfsg1-7

Done: Rolf Leggewie <foss@rolf.leggewie.biz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#651475; Package isdnutils. (Thu, 08 Dec 2011 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Thu, 08 Dec 2011 22:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: support Multi-Arch
Date: Thu, 8 Dec 2011 14:05:01 -0800
[Message part 1 (text/plain, inline)]
Package: isdnutils
Version: 1:3.9.20060704+dfsg.2-12
Severity: normal
Tags: patch

Hello!

This patch provides Multi-Arch support, and removes the unused .la files.
Both are to further the respective release goals.

Thanks,

-Kees

-- 
Kees Cook                                            @debian.org
[isdnutils_3.9.20060704+dfsg.2-13.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#651475; Package isdnutils. (Thu, 08 Dec 2011 23:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Thu, 08 Dec 2011 23:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 651475@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: 651475@bugs.debian.org
Subject: forgot to mention...
Date: Thu, 8 Dec 2011 15:03:10 -0800
The modified .install file must be made executable now (this does not show
up in the diff).

-- 
Kees Cook                                            @debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#651475; Package isdnutils. (Sat, 07 Apr 2012 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Marschall <peter@adpm.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 07 Apr 2012 18:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 651475@bugs.debian.org (full text, mbox):

From: Peter Marschall <peter@adpm.de>
To: 651475@bugs.debian.org
Subject: updated patch in https://github.com/marschap/isdnutils-debian
Date: Sat, 7 Apr 2012 19:51:08 +0200
Hi,

you may want to have a look at
  https://github.com/marschap/isdnutils-debian
which contains - among other fixes - an update to the patch that
applies cleanly to isdnutils' repository with the changes since Kees
wrote the patch.

Best regards
Peter

-- 
Peter Marschall
peter@adpm.de




Added indication that bug 651475 blocks 670532 Request was from Ralf Jung <post@ralfj.de> to control@bugs.debian.org. (Mon, 21 May 2012 15:42:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#651475; Package isdnutils. (Thu, 24 May 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Thu, 24 May 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 651475@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 651475@bugs.debian.org, 674452@bugs.debian.org
Subject: nmu for multi-arch and build hardening
Date: Thu, 24 May 2012 15:06:00 -0400
[Message part 1 (text/plain, inline)]
Hi,

I've uploaded an nmu fixing these two issues to delayed/5.  Patch attached.

Best wishes,
Mike
[isdnutils.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#651475; Package isdnutils. (Sat, 26 May 2012 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 26 May 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 651475@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Michael Gilbert <mgilbert@debian.org>, 674452@bugs.debian.org
Cc: 651475@bugs.debian.org
Subject: Re: Bug#674452: nmu for multi-arch and build hardening
Date: Sat, 26 May 2012 13:39:17 +0800
On 25.05.2012 03:06, Michael Gilbert wrote:
> I've uploaded an nmu fixing these two issues to delayed/5.  Patch attached.

Mike,

thank you for your report and help in getting this fixed.  Your proposed
solution will break building in lucid which is my main environment for
day-to-day testing.  I shall upload at least the necessary changes for
buildflag-hardening but since I'm currently travelling this may take a
few more days than allotted by the NMU.  Please cancel it.

Regards

Rolf




Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#651475; Package isdnutils. (Tue, 29 May 2012 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Tue, 29 May 2012 02:24:03 GMT) Full text and rfc822 format available.

Message #32 received at 651475@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 651475@bugs.debian.org, 674452@bugs.debian.org
Subject: Re: nmu for multi-arch and build hardening
Date: Mon, 28 May 2012 22:21:17 -0400
> thank you for your report and help in getting this fixed.  Your proposed
> solution will break building in lucid which is my main environment for
> day-to-day testing.  I shall upload at least the necessary changes for
> buildflag-hardening but since I'm currently travelling this may take a
> few more days than allotted by the NMU.  Please cancel it.

Hi,

I'm trying to get all of wine's reverse dependencies built and
supporting multiarch.  isdnutils is the last package preventing the
goal of a multiarch wine.

It seems quite odd that compatibility with an old ubuntu release
justifies impeding progress debian.  precise is the new LTS, perhaps
you could rebase your day-to-day system to that?

Best wishes,
Mike




Added indication that bug 651475 blocks 677741 Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 16:03:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'isdnutils: Please support Multi-Arch' from 'support Multi-Arch' Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Sat, 23 Jun 2012 10:42:36 GMT) Full text and rfc822 format available.

Reply sent to Rolf Leggewie <foss@rolf.leggewie.biz>:
You have taken responsibility. (Mon, 25 Jun 2012 17:06:10 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Mon, 25 Jun 2012 17:06:10 GMT) Full text and rfc822 format available.

Message #41 received at 651475-close@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <foss@rolf.leggewie.biz>
To: 651475-close@bugs.debian.org
Subject: Bug#651475: fixed in isdnutils 1:3.22+dfsg1-7
Date: Mon, 25 Jun 2012 17:02:53 +0000
Source: isdnutils
Source-Version: 1:3.22+dfsg1-7

We believe that the bug you reported is fixed in the latest version of
isdnutils, which is due to be installed in the Debian FTP archive:

capiutils_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/capiutils_3.22+dfsg1-7_i386.deb
ipppd_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/ipppd_3.22+dfsg1-7_i386.deb
isdnlog-data_3.22+dfsg1-7_all.deb
  to main/i/isdnutils/isdnlog-data_3.22+dfsg1-7_all.deb
isdnlog_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/isdnlog_3.22+dfsg1-7_i386.deb
isdnutils-base_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/isdnutils-base_3.22+dfsg1-7_i386.deb
isdnutils-doc_3.22+dfsg1-7_all.deb
  to main/i/isdnutils/isdnutils-doc_3.22+dfsg1-7_all.deb
isdnutils-xtools_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/isdnutils-xtools_3.22+dfsg1-7_i386.deb
isdnutils_3.22+dfsg1-7.debian.tar.gz
  to main/i/isdnutils/isdnutils_3.22+dfsg1-7.debian.tar.gz
isdnutils_3.22+dfsg1-7.dsc
  to main/i/isdnutils/isdnutils_3.22+dfsg1-7.dsc
isdnvbox_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/isdnvbox_3.22+dfsg1-7_i386.deb
isdnvboxclient_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/isdnvboxclient_3.22+dfsg1-7_i386.deb
isdnvboxserver_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/isdnvboxserver_3.22+dfsg1-7_i386.deb
libcapi20-3_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/libcapi20-3_3.22+dfsg1-7_i386.deb
libcapi20-dev_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/libcapi20-dev_3.22+dfsg1-7_i386.deb
pppdcapiplugin_3.22+dfsg1-7_i386.deb
  to main/i/isdnutils/pppdcapiplugin_3.22+dfsg1-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651475@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rolf Leggewie <foss@rolf.leggewie.biz> (supplier of updated isdnutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Jun 2012 00:56:11 +0800
Source: isdnutils
Binary: isdnutils-base isdnutils-xtools ipppd isdnlog isdnlog-data isdnutils-doc isdnvbox isdnvboxclient isdnvboxserver capiutils libcapi20-3 libcapi20-dev pppdcapiplugin
Architecture: source i386 all
Version: 1:3.22+dfsg1-7
Distribution: unstable
Urgency: low
Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
Changed-By: Rolf Leggewie <foss@rolf.leggewie.biz>
Description: 
 capiutils  - ISDN utilities - tools for CAPI-capable cards
 ipppd      - ISDN utilities - PPP daemon
 isdnlog    - ISDN utilities - connection logger
 isdnlog-data - ISDN utilities - connection logger data
 isdnutils-base - ISDN utilities - minimal set
 isdnutils-doc - ISDN utilities - documentation
 isdnutils-xtools - ISDN utilities - graphical tools
 isdnvbox   - ISDN utilities - answering machine dependency package
 isdnvboxclient - ISDN utilities - answering machine client
 isdnvboxserver - ISDN utilities - answering machine server
 libcapi20-3 - ISDN utilities - CAPI support libraries
 libcapi20-dev - ISDN utilities - CAPI development libraries
 pppdcapiplugin - ISDN utilities - pppd plug-in for CAPI support
Closes: 651475
Changes: 
 isdnutils (1:3.22+dfsg1-7) unstable; urgency=low
 .
   [ Kees Cook ]
   * enable multi-arch. Closes: #651475
 .
   [ Rolf Leggewie ]
   * backport 9f06a049dceb19 from upstream to fix FTBFS with compat 9
   * dynamically create debian/*.install files to simplify backporting
Checksums-Sha1: 
 2851377da59b73b4678e735b1be22f5ac408cc00 2764 isdnutils_3.22+dfsg1-7.dsc
 5e4305c2b62cea800221c0c5c3ea019b245ee804 243783 isdnutils_3.22+dfsg1-7.debian.tar.gz
 720d515da7bb2e246e8a9acee70c8b34e673af6b 151602 isdnutils-base_3.22+dfsg1-7_i386.deb
 ce65b9d449162548b7c1e5ee325308beff31bc54 56840 isdnutils-xtools_3.22+dfsg1-7_i386.deb
 e4836e7f66ba36b4b586936f456ddd3ed92cd43c 188500 ipppd_3.22+dfsg1-7_i386.deb
 65c2e4e436e613e4fba5458bf1aa21a5db2e281b 539830 isdnlog_3.22+dfsg1-7_i386.deb
 fe8a3e9e67c4e4f27fd798fe701c7d5f7213de3d 842032 isdnlog-data_3.22+dfsg1-7_all.deb
 f1c5348492d7a381c9a8629d251310fb3db0b05c 693612 isdnutils-doc_3.22+dfsg1-7_all.deb
 d82fb6c2bf8393cc7a66db4ccb07ce7e7d650c66 35820 isdnvbox_3.22+dfsg1-7_i386.deb
 cdcc26a91071688b4d7bc5604b717b3ba86b0d0b 79988 isdnvboxclient_3.22+dfsg1-7_i386.deb
 8787bc6ee66ff938e89dde36ce3379723bf06981 158538 isdnvboxserver_3.22+dfsg1-7_i386.deb
 3678311610a1d1c79f486898710b99563ab2fda1 87864 capiutils_3.22+dfsg1-7_i386.deb
 23f51733e75383fbecd0ecb8271dded0c443fd8d 66718 libcapi20-3_3.22+dfsg1-7_i386.deb
 be5cfa44adf8ef5f629c43f9d37f7ef3590a4607 35684 libcapi20-dev_3.22+dfsg1-7_i386.deb
 15ca98fa79b84e057514d5d561e35e1f99f391bd 71618 pppdcapiplugin_3.22+dfsg1-7_i386.deb
Checksums-Sha256: 
 b218912f5136bb85f3c08d9c2d0958b03632047d88532919d957683a76813abb 2764 isdnutils_3.22+dfsg1-7.dsc
 29f18837d624eeabe00ea422c0bfff6c0343aea4584e863209de9d188b99a7df 243783 isdnutils_3.22+dfsg1-7.debian.tar.gz
 6df10e0b9e4190b5100955b46240723a6cb63207337ac6f4d1258d6eee39a6e6 151602 isdnutils-base_3.22+dfsg1-7_i386.deb
 e48c440474efa5d594fd8be17e3c06532dbae3e919db11fdcbe5510835dbf2fc 56840 isdnutils-xtools_3.22+dfsg1-7_i386.deb
 692561c60b387624e936ff495ff4c9c1f1da369f5f7e5f32f3521c67c0f0065e 188500 ipppd_3.22+dfsg1-7_i386.deb
 544e71e18bbb12b60e9af5df5b72e38b6a941ba62bc11a4dbdfccd0a2f61d2b0 539830 isdnlog_3.22+dfsg1-7_i386.deb
 49c1c3303da7e2872bca8266a306b605a13cf5efa7235a533f68bc3642076f85 842032 isdnlog-data_3.22+dfsg1-7_all.deb
 e77286803e8016c193aefbf09c33eb6016d35fc81ca9f34c067eb4a5512da17c 693612 isdnutils-doc_3.22+dfsg1-7_all.deb
 9643161b263c232c929048bf8ca14cd99924cb8dfd427bf9c83ef5099b933585 35820 isdnvbox_3.22+dfsg1-7_i386.deb
 da1de21a86bfb00c8d7a0b34901cda86f75123002944a5e8725c71e590e705ed 79988 isdnvboxclient_3.22+dfsg1-7_i386.deb
 63bf15daf66e51bd28518bddd04104c81bda55347c8661d1d2e11085689951a3 158538 isdnvboxserver_3.22+dfsg1-7_i386.deb
 0ba3159925118ec538dd4af4c242011078b1fa7b5e31cad31b8f80c9a5acdb39 87864 capiutils_3.22+dfsg1-7_i386.deb
 97a4e16fe08288c9adfe01e89947d52a17d496bb9c1ee04729dd437a80f4f8de 66718 libcapi20-3_3.22+dfsg1-7_i386.deb
 0afeebc8cf47ed61bf8bdcbf746a4adbc2b5b0fd68f4b87b77e1ebd36f4662ec 35684 libcapi20-dev_3.22+dfsg1-7_i386.deb
 47e928351462378cd7bac6229b5d56561836fe039c2d84c438e15ff6f19d809a 71618 pppdcapiplugin_3.22+dfsg1-7_i386.deb
Files: 
 73ddc47bce4dc1eee5e1d134b4adc42d 2764 utils extra isdnutils_3.22+dfsg1-7.dsc
 dfddc8fa2048e7a8e6251de4e2c116b3 243783 utils extra isdnutils_3.22+dfsg1-7.debian.tar.gz
 78198bfadc68c15fcdd5aaf8ba7e1021 151602 utils optional isdnutils-base_3.22+dfsg1-7_i386.deb
 061088fc7150accb8775e5cc2276461a 56840 x11 extra isdnutils-xtools_3.22+dfsg1-7_i386.deb
 327afafe7f70bf6e3c855ab9d58a1f04 188500 net extra ipppd_3.22+dfsg1-7_i386.deb
 95f24161dfd6ec25b6304e73c77bdf04 539830 utils extra isdnlog_3.22+dfsg1-7_i386.deb
 bdea6f03f4ae547a1108d9e2cec30310 842032 utils extra isdnlog-data_3.22+dfsg1-7_all.deb
 1be4722572beae48caa9eea5e5823211 693612 doc extra isdnutils-doc_3.22+dfsg1-7_all.deb
 8aa8b3e03c4f23ec8b6c558ca04182f5 35820 utils extra isdnvbox_3.22+dfsg1-7_i386.deb
 101aa2b51eea7ac488eeddb6ed458101 79988 utils extra isdnvboxclient_3.22+dfsg1-7_i386.deb
 c323ee99dbe641a3ef49214006c5bba5 158538 utils extra isdnvboxserver_3.22+dfsg1-7_i386.deb
 d7a2eadd24714efeca2f7792a645ec6a 87864 net extra capiutils_3.22+dfsg1-7_i386.deb
 3298d5c51a7f70eb2f18f0aa501e5bb5 66718 libs extra libcapi20-3_3.22+dfsg1-7_i386.deb
 e01953747fb8fd4e372ddb679e534e79 35684 libdevel extra libcapi20-dev_3.22+dfsg1-7_i386.deb
 9b7eb13ae2b3e0df7f96bf6d22057fb5 71618 net extra pppdcapiplugin_3.22+dfsg1-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJP6JbCAAoJEJSEK8huURwxroIP/iEzTjxnJTOPmhptOShrybUn
Oqjxb1RaT8HBHN8W2Kn65KeLGaCXCkQoinyeU5QLunU1rOjG4Mv63adIA7i9Y7pE
xJV3WcD4YJXyfA98D5xc/JwGg9ljHCgY2RO7wq1+nHypUEoJ8Nt1dHSs2XlR22lH
Y2DhtP4+F0UBM1ZPWEqBaSQ5FE9i70xhzsHdsDsVCqBIOnLwmd9TksMgg2z3V3Xv
gKCxeFSoEejQvucxV5/yhJFgYsCA3v9i5gSTjiyxjrnLNB9VZ8kjvmdZ91FT2gCz
NXx+lcIrRxuWpp+Yk3vxesg0oQ/X0b0xeDRu7KSbvJYeoeAZzXj8ME0Y4iigbaLz
QuLPpnAf8dhfBl0D4yVSH1OrgER9DUJCtKOsd/Ll+Os1zr+ytMyHGtxJVUz1Lqmc
IVtFjPiPJPETPAsdubrz/M63ssTdRsnDD3TZJoGA+qtTtlrjtW2nNoilKGYK72q5
ndZhDAiP35qV05SOn7xdqxoMuBZ4KlaOPUDVw2FeyGakzL1oHnCYUHDzNwY8TW+i
1HMERTzGVFwtpB1qyvtC7R887Dtu3P0K4Ih4r6DenQMcvN3MMH1L4ywwZwfIpmPs
dfO8xcwRXXpyF1qHDGkkzaughXLr+n7t0FoUwu1QXYgRJet/swMiPkoMhfjJ7VHi
X4+xj16OeK2rHoCuvs8L
=Jd8H
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:36:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:27:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.